<template>
    <div class="card">
        <img :src= "producto.url" :alt="`img ${producto.title}`" class="card-img-top" />
        <div class="card-body">
        <h5 class="card-title">{{producto.title}}</h5>
        <p class="card-text">$ <span>{{producto.precio}}</span></p>
        <button class="btn btn-dark" @click="comprar(producto)">Comprar</button>
        </div>
    </div>
    
</template>

<script>

import {useStore} from 'vuex'
export default {
    props: ['producto'],
    setup(){
        const store = useStore()
        const comprar = producto => {
            store.dispatch('agregarCarrito', producto)
        }
        return {comprar}
    }
}
</script>
<style scoped>
.hero-btn {
     display: inline-block;
     text-decoration: none;
     color: rgb(255, 255, 255);
     border: 1px solid #fff;
     padding: 12px 34px;
     font-size: 15px;
     background: transparent;
     position: relative;
     cursor: pointer;
}

.btn:hover {     
    border: 1px solid #000000;
    background: rgba(55, 184, 154, 0.5);
    color: #000000;
    transition: 1s;
}
</style>